
From: Joshua Kwan <joshk@triplehelix.org>

   CC [M]  drivers/net/wireless/hostap/hostap_crypt_wep.o
drivers/net/wireless/hostap/hostap_crypt_wep.c:24:2: #error 
CONFIG_CRYPTO is required to build this module.
make[4]: *** [drivers/net/wireless/hostap/hostap_crypt_wep.o] Error 1
make[3]: *** [drivers/net/wireless/hostap] Error 2
make[2]: *** [drivers/net/wireless] Error 2
make[1]: *** [drivers/net] Error 2
make: *** [drivers] Error 2

Here's a patchlet that fixes some Kconfig typos and adds missing select 
CRYPTO for each hostap_crypt_* option.

Signed-off-by: Joshua Kwan <joshk@triplehelix.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/wireless/hostap/Kconfig |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

diff -puN drivers/net/wireless/hostap/Kconfig~hostap-fix-kconfig-typos-and-missing-select-crypto drivers/net/wireless/hostap/Kconfig
--- 25/drivers/net/wireless/hostap/Kconfig~hostap-fix-kconfig-typos-and-missing-select-crypto	Fri Dec  3 13:42:01 2004
+++ 25-akpm/drivers/net/wireless/hostap/Kconfig	Fri Dec  3 13:42:01 2004
@@ -25,29 +25,32 @@ config HOSTAP
 config HOSTAP_WEP
 	tristate "IEEE 802.11 WEP encryption"
 	depends on HOSTAP
+	select CRYPTO
 	---help---
 	Software implementation of IEEE 802.11 WEP encryption.
 
 	This can be compiled as a modules and it will be called
-	"hostap_cryp_wep.ko".
+	"hostap_crypt_wep.ko".
 
 config HOSTAP_TKIP
 	tristate "IEEE 802.11 TKIP encryption"
 	depends on HOSTAP
+	select CRYPTO
 	---help---
 	Software implementation of IEEE 802.11 TKIP encryption.
 
 	This can be compiled as a modules and it will be called
-	"hostap_cryp_tkip.ko".
+	"hostap_crypt_tkip.ko".
 
 config HOSTAP_CCMP
 	tristate "IEEE 802.11 CCMP encryption"
 	depends on HOSTAP
+	select CRYPTO
 	---help---
 	Software implementation of IEEE 802.11 CCMP encryption.
 
 	This can be compiled as a modules and it will be called
-	"hostap_cryp_ccmp.ko".
+	"hostap_crypt_ccmp.ko".
 
 config HOSTAP_FIRMWARE
 	bool "Support downloading firmware images with Host AP driver"
_
